## CNW2 - Theorie

Als je de afbeeldingen niet open krijgt, sluit dit dan even en open ze in de map zelf.

Alle vragen stonden op 1 punt (tenzij anders vermeld).

**Lees altijd duidelijk de opgave, hierstaat ook in hoeveel antwoorden je moet aanvinken. Je moet alles op het examen juist aanvinken vooraleer je een punt krijgt.** Als er twee juist zijn en je vinkt eentje aan dan krijg je geen punten!

#### Instructies

Het examen is multiple choice en gesloten boek, geen hulpmiddelen zijn toegestaan.

* Er is geen giscorrectie.
* Geen deelpunten per vraag,
* Het aantal antwoorden dat je moet aanvinken staat steeds vermeld in de vraag (kies x).
* Kies de/het beste, meest correcte antwo(o)rd(en).

Veel succes!

### Vraag 1

Aangezien alle browsers nu ook het RSA algorithme ondersteunen is het Diffie-Hellman algoritme overbodig geworden. (kies 2)

* Klopt, aangezien we sowieso RSA nodig hebben om een sessie sleutel af te spreken en Diffie-Hellman geen encryptie ondersteunt.
* Diffie-Hellman heeft PFS (Perfect Forward Secrecy) als voordeel indien dit algortithme gebruikt wordt om de sessiesleutel af te spreken. Wanneer de private key op straat komt te liggen kan eerder opgenomen trafiek niet ontsleuteld worden.
* De algoritmes zijn complementair. RSA wordt gebruikt om de indentiteit van de connectiepartner te verifiëren. Diffie-Hellman wordt gebruikt om een sessiesleutel af te spreken.
* Diffie-Hellman maakt gebruik van CBC, het kan gezien worden als de symmetrische variant van RSA.

### Vraag 2

Als je bestanden per mail wil versturen, moeten deze bestanden geconverteerd worden naar... (kies 1)

* Geen van bovenstaande
* ASCII
* UTF8
* Binary

### Vraag 3

De meeste van de HTTP-methods kunnen gebruikt worden om een webtoepassing aan te vallen. Hoewel GET en POST bij de meeste aanvallen gebruikt worden, zijn de methoden zelf niet het probleem. Ze zijn noodzakelijk voor de goede werking. Een aantal methoden zoals PUT, DELETE en CONNECT echter zijn typisch niet vereist voor webservers. Waarmee kan je HTTP methods die niet nodig hebt blokkeren? (kies 2)

* proxy server
* application gateway
* packet filter
* stateful inspection firewall

### Vraag 4

De verschillende rfcs (Request For Comments) van het HTTP protocol beschrijven o.a. de structuur en het formaat van de data. De gebruikte term hiervoor is: (kies 1)

* protocol
* syntax
* semantiek

### Vraag 5

Deze figuur werd een aantal keer versleuteld, telkens met een verschillend symmetrisch encryptiealgoritme. (kies 1)

![vraag_5.png](/core/preview?fileId=85980&x=1024&y=1024&a=true#mimetype=image%2Fpng&hasPreview=true&fileId=85980)

* AES in ECB mode, AES in CBC mode, ROT13 (binary input), ROT13 (base64 input)
* ROT13 (binary input), ROT13 (base64 input), AES in ECB mode, AES in CBC mode
* AES in ECB mode, AES in CBC mode, ROT13 (base64 input), ROT13 (binary input)
* AES in CBC mode, ROT13 (binary input), ROT13 (base64 input), AES in ECB mode
* ROT13 (base64 input), AES in ECB mode, AES in CBC mode, ROT13 (binary input)

### Vraag 6

Een ACL (Access Control List, of filterpolicy) entry van een packetfilter kan gebaseerd zijn op het al dan niet ingeschakeld zijn van de TCP ACK bit. (kies 1)

* Hiermee kan de packetfilter toestaan dat interne clients verbindingen maken met externe servers, en tegelijkertijd verhinderen dat externe clients een verbinding kunnen opzetten met interne servers.
* Nee, want een ACL entry kan verkeer pas controleren na de 3-way handshake.
* Een packetfilter kan enkel filteren op de SYN bit.
* Een packetfilter zal nooit filteren op basis van TCP flags zoals SYN, ACK, FIN. Enkel stateful packetfilters kunnen dit.
* Dit is enkel mogelijk bij UDP trafiek.

### Vraag 7

Een bekende bittorrent tracker valt plots uit door een hardware crash. Wat gebeurd er met de lopende bittorrent transfers van zijn gebruikers. (kies 2)

* Die stoppen onmiddellijk, en zullen automatisch verder gaan eenmaal de tracker terug beschikbaar is.
* De download en upload van chunks die al gestart waren voor de crash lopen gewoon verder.
* Indien er voldoende clients zijn met ondersteuning voor DHT is die tracker zelfs niet nodig. Het uitvallen ervan heeft geen invloed.
* De lopende bittorrent transfers kunnen enkel verder indien de gebruikers een extra (publieke) tracker toevoegen.

### Vraag 8

Een malafide hacker heeft een exacte kopie van je website opgezet. Via dns cache poisoning probeert hij gebruikers naar zijn valse website te lokken. Na onderzoek blijkt dat gebruikers geen certificaat waarchuwing krijgen bij het surfen naar de valse website. De verbinding is wel degelijk beveiligd met https. Welke stappen moet je ondernemen om ervoor te zorgen dat toekomstige bezoekers van de valse website wel een certificaatwaarschuwing krijgen? (kies 2)

* Het is niet nodig om een nieuwe CSR te maken.
* Genereer een nieuwe CSR (Certificate Signing Request) en laat deze ondertekenen door een erkende CA. Je huidig certificaat en private key vervang je door de nieuwe in de configuratie van je webserver.
* Genereer een nieuwe CSR (Certificate Signing Request) en laat deze ondertekenen door een erkende CA. Je huidige private key laat je op de CRL (Certificate Revocation List) zetten.
* Genereer een nieuwe CSR (Certificate Signing Request) en laat deze ondertekenen door een erkende CA. Je huidig certificaat laat je op de CRL (Certificate Revocation List) zetten.

### Vraag 9

Een packetfilter isoleert en controleert elk datagram en bepaalt of het doorgelaten mag worden of tegengehouden moet worden. Dit gebeurt op basis van regels die de netwerkbeheerder heeft ingesteld. Filterbeslissingen worden meestal genomen op basis van: (kies 5)

* Het ICMP berichttype.
* De TCP- of UDP poorten, zowel van de bron als de bestemming.
* De TCP bits (flags): SYN, ACK, FIN, ...
* Het typeveld in het IP datagram: TCP, UDP, ICMP, ...
* Het IP adres van de bron en/of bestemmeling.
* Het applicatieprotocol: HTTP, FTP, SMB, ...

### Vraag 10

Email lijkt sterk op het versturen van een zakelijke brief via de gewone post. Welke stellingen zijn correct? (kies 3)

* Het SMTP protocol is een pull protocol.
* Bij standaard SMTP kan de body enkel ASCII data bevatten. Bijlagen zoals afbeeldingen moeten dus eerst geconverteerd worden naar ASCII.
* Presistent connections zijn niet mogelijk bij SMTP
* Een postzegel is niet nodig om een email bericht te versturen.
* Blind carbon copy (bcc) is mogelijk bij email omdat de header (briefomslag) vlak voor het kopiëren van de email in de mailbox/folder van de gebruiker weggegooid wordt.

### Vraag 11

Het FTP protocol kan gebruikt worden op 2 manieren. Er is een actieve en een passieve variant. Welke van onderstaande beweringen zijn correct? (kies 3)

* Het is mogelijk om een bestand rechtstreeks uit te wisselen tussen twee FTP servers. Dus zonder het eerst zelf te downloaden en dan te uploaden.
* Bij passive FTP wordt de dataconnectie geïnitieerd (stuurt de SYN) door de server.
* Bij active FTP wordt de dataconnectie geïnitieerd (stuurt de SYN) door de client.
* Als je bestanden wil uitwisselen tussen twee FTP servers kan dat enkel door de bestanden eerst zelf te downloaden en daarna te uploaden naar de andere FTP server.
* Bij passive FTP wordt de dataconnectie geïnitieerd (stuurt de SYN) door de client.
* Bij active FTP wordt de dataconnectie geïnitieerd (stuurt de SYN) door de server.

### Vraag 12

Het HTTP protocol kan gebruik maken van pipelining. Welke van onderstaande beweringen is correct? (kies 3)

* Meerdere HTTP requests worden verzonden over een enkele TCP connectie zonder te wachten op de corresponderende antwoorden. De volgorde van de antwoorden maakt niet uit aangezien er net zoals bij DNS een soort van TXID (transaction of query id) gebruikt wordt om vraag en antwoord te koppelen.
* Meerdere HTTP requests worden verzonden over meerdere TCP connecties zonder te wachten op de corresponderende antwoorden. Deze antwoorden moeten in volgorde aankomen.
* Pipelining werd vervangen door multiplexing in HTTP2.
* Pipelining wordt ondersteund vanaf versie 1.0 van het HTTP protocol.
* Meerdere HTTP requests worden verzonden over meerdere TCP connecties zonder te wachten op de corresponderende antwoorden. De volgorde van de antwoorden maakt niet uit aangezien er net zoals bij DNS enn soort van TXID (transaction of query id) gebruikt wordt om vraag en antwoord te koppelen.
* Meerdere HTTP requests worden verzonden over een enkele TCP connectie zonder te wachten op de corresponderende antwoorden. Deze antwoorden moeten in volgorde aankomen.
* Piplining wordt zeer zelden gebruikt door het Head of LINE Blocking probleem. Recente browsers ondersteunen het niet meer (of het staat by default uit).
* Meerdere HTTP requests kunnen niet verzonden worden over een enkele TCP connectie.

### Vraag 13

In een file transfer sessie via active FTP worden 5 bestanden na elkaar opgehaald. Hoeveel sessies op laag 4 worden er in totaal opgezet? (kies 1)

* 5
* 1
* 2
* 4

### Vraag 14

Namebased en IP based virtual hosts worden gebruikt om meerdere websites te laten draaien op een enkele host. Welke van volgende stellingen is correct? (kies 2)

* IP based vhosts kunnen gebruikt worden bij HTTP/2
* Er is geen ondersteuning binnen het HTTP protocol nodig om name based vhosts te laten werken. Hiervoor bestaat er DNS
* Namebased vhosts kunnen gebruikt worden vanaf HTTP/1.0. Een speciale HTTP header wordt gebruikt om aan te geven welke website de gebruiker wil bekijken.
* Namebased vhosts kunnen gebruikt worden vanaf HTTP/1.1. Oudere versie hebben niet de vereiste ondersteuning hiervoor.

### Vraag 15

Sommige FTP servers kunnen gebruikt worden als 'proxy' server. Zo kan iemand een portscan op een willekeurige host uitvoeren. De gescande host ziet enkel het IP adres van de FTP server. (kies 1)

* Dit werkt enkel bij FTP in active mode.
* Dit werkt zowel bij FTP in active als passive mode.
* Dit werkt enkel bij FTP in passive mode.

### Vraag 16

Stel dat een SSL/TLS-sessie gebruik maakt van een blockcipher in de CBC (Cipher Block Chaining) modus, dan verzendt de server de initialisatievector naar de client in onversleutelde vorm. Welke van onderstaande beweringen is correct? (kies 1)

* Een IV wordt enkel gebruikt ECB modus
* Een IV wordt niet gebruikt bij blockciphers, wel bij een streamcipher zoals RC4 die de basis vormt van het WEP protocol.
* Waar, de IV wordt niet versleuteld bij CBC.

### Vraag 17

TCP kan uitgebreid worden met SSL/TLS zodat beveiligingsdiensten zoals versleuteling aan communicerende processen geleverd kunnen worden. Op welke laag van het OSI model werkt SSL/TLS? (kies 1)

* netwerklaag
* geen van deze
* applicatielaag
* transportlaag

### Vraag 18

Twee verschillende webpagina's (<https://intranet.ucll.be/nl/medewerker> en <https://intranet.ucll.be/nl/student>) kunnen over dezelfde persistente verbinding worden verzonden. (kies 1)

* niet waar
* waar

### Vraag 19

Uit hoeveel objecten bestaat een webpagina die bestaat uit 5 afbeeldingen en 1 html file? (kies1)

* 1
* 5
* Geen van bovenstaande is correct
* 6

### Vraag 20

Veronderstel dat je een webpagina opvraagt die bestaat uit een document en vijf afbeeldingen. De afbeeldingen zijn allemaal 5MB groot. Met welk van volgende verbindingstypes kan je browser de bestanden het snelste binnen halen? Denk aan het HEAD of LINE blocking probleem. (kies 1)

* Non-persistent HTTP/1.1 verbinding die bestaat uit één connectie.
* Non-persistent HTTP/1.0 verbinding die bestaat uit zes parallelle connecties.
* Persistent HTTP/1.1 verbinding die bestaat uit één connectie .

### Vraag 21

Verschillende websites (+100) aanbieden op één webserver kan op de volgende manieren: (kies 3)

* Door gebruik te maken van HTTP/1.1 en je server te voorzien van slechts één IP adres.
* Door gebruik te maken van IP based virtual hosts. Oudere clients die HTTP2 niet ondersteunen kunnen niet verbinden.
* Door gebruik te maken van HTTP/1.0 en je server te voorzien van één IP adres per website.
* Door gebruik te maken van HTTP/1.1 en je server te voorzien van één IP adres per website.
* Dit is enkel mogelijk mits gebruik van een recente browser. Browsers ouder dan 10 jaar ondersteunen dit niet.
* Door gebruik te maken van HTTP/1.0 en je server te voorzien van twee IP adressen: één IP adres voor de server zelf, en één voor de websites.
* Wanneer je 100 websites host op één server heb je dus minstens 100 IP adressen nodig.

### Vraag 22

Wanneer een VPN een klein aantal eindpunten heeft dan kan de beheerder handmatig de informatie voor de beveiligingsassociatie (encryptie en authenticatie algoritme, sleutels,...) invoeren. Bij een groot aantal eindpunten is deze methode niet werkbaar. Welk protocol wordt er gebruikt om dit proces te automatiseren? (kies 1)

* TLS
* IKE
* ESP
* PKI

### Vraag 23

Wat zit er minstens in een RSA certificaat: (kies 2)

* Public key
* Private key
* AES SSL key
* Common Name

### Vraag 24

Welk proces beschrijft het lichtgrijs balkje in deze afbeelding? (kies 1)

![vraag_24.png](/core/preview?fileId=85979&x=1024&y=1024&a=true#mimetype=image%2Fpng&hasPreview=true&fileId=85979)

* Opname
* Buffering
* Transit
* Encodering

### Vraag 25

Welk protocol gebruiken mailservers om te beslissen bij welke next hop (volgende mailserver) ze mail moeten afleveren? (kies 1)

* WHOIS
* SMTP
* IP
* HTTP
* DNS